typedef unsigned long size_t;
typedef union {
            unsigned char __c[8]; double __d;
        } __huge_val_t;
static __huge_val_t __huge_val = { { 0, 0, 0, 0, 0, 0, 0xf0, 0x7f } };
typedef union {
            unsigned char __c[4]; float __f;
        } __huge_valf_t;
static __huge_valf_t __huge_valf = { { 0, 0, 0x80, 0x7f } };
static union {
           unsigned char __c[12]; long double __ld;
       } __huge_vall = { { 0, 0, 0, 0, 0, 0, 0, 0x80, 0xff, 0x7f, 0, 0 } };
static union {
           unsigned char __c[4]; float __d;
       } __qnan_union = { { 0, 0, 0xc0, 0x7f } };
typedef long double float_t;
typedef long double double_t;
extern double erf(double);
extern double __erf(double);
extern double erfc(double);
extern double __erfc(double);
extern double lgamma(double);
extern double tgamma(double);
extern int ilogb(double __x);
extern float acosf(float __x);
extern float asinf(float __x);
extern float atanf(float __x);
extern float cosf(float __x);
extern float sinf(float __x);
extern float tanf(float __x);
extern float expf(float __x);
extern float logf(float __x);
extern float sqrtf(float __x);
extern float cbrtf(float __x);
extern float fabsf(float __x);
extern float erff(float);
extern float __erff(float);
extern float erfcf(float);
extern float __erfcf(float);
extern float lgammaf(float);
extern float __lgammaf(float);
extern float tgammaf(float);
extern float __tgammaf(float);
extern float rintf(float __x);
extern int ilogbf(float __x);
enum {
    FP_NAN = 0,
    FP_INFINITE = 1,
    FP_ZERO = 2,
    FP_SUBNORMAL = 3,
    FP_NORMAL = 4
};
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
typedef signed char int_least8_t;
typedef short int int_least16_t;
typedef int int_least32_t;
typedef long long int int_least64_t;
typedef unsigned char uint_least8_t;
typedef unsigned short int uint_least16_t;
typedef unsigned int uint_least32_t;
typedef unsigned long long int uint_least64_t;
typedef signed char int_fast8_t;
typedef int int_fast16_t;
typedef int int_fast32_t;
typedef long long int int_fast64_t;
typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned int uint_fast32_t;
typedef unsigned long long int uint_fast64_t;
typedef int intptr_t;
typedef unsigned int uintptr_t;
typedef long long int intmax_t;
typedef unsigned long long int uintmax_t;
typedef unsigned char __u_char;
typedef unsigned short int __u_short;
typedef unsigned int __u_int;
typedef unsigned long int __u_long;
typedef signed char __int8_t;
typedef unsigned char __uint8_t;
typedef signed short int __int16_t;
typedef unsigned short int __uint16_t;
typedef signed int __int32_t;
typedef unsigned int __uint32_t;
typedef signed long long int __int64_t;
typedef unsigned long long int __uint64_t;
typedef long long int __quad_t;
typedef unsigned long long int __u_quad_t;
typedef __u_quad_t __dev_t;
typedef unsigned int __uid_t;
typedef unsigned int __gid_t;
typedef unsigned long int __ino_t;
typedef __u_quad_t __ino64_t;
typedef unsigned int __mode_t;
typedef unsigned int __nlink_t;
typedef long int __off_t;
typedef __quad_t __off64_t;
typedef int __pid_t;
typedef struct {
            int __val[2];
        } __fsid_t;
typedef long int __clock_t;
typedef unsigned long int __rlim_t;
typedef __u_quad_t __rlim64_t;
typedef unsigned int __id_t;
typedef long int __time_t;
typedef unsigned int __useconds_t;
typedef long int __suseconds_t;
typedef int __daddr_t;
typedef int __key_t;
typedef int __clockid_t;
typedef void * __timer_t;
typedef long int __blksize_t;
typedef long int __blkcnt_t;
typedef __quad_t __blkcnt64_t;
typedef unsigned long int __fsblkcnt_t;
typedef __u_quad_t __fsblkcnt64_t;
typedef unsigned long int __fsfilcnt_t;
typedef __u_quad_t __fsfilcnt64_t;
typedef int __fsword_t;
typedef int __ssize_t;
typedef long int __syscall_slong_t;
typedef unsigned long int __syscall_ulong_t;
typedef __off64_t __loff_t;
typedef __quad_t * __qaddr_t;
typedef char * __caddr_t;
typedef int __intptr_t;
typedef unsigned int __socklen_t;
struct _IO_FILE;
typedef struct _IO_FILE FILE;
typedef struct _IO_FILE __FILE;
typedef struct {
            int __count;
            union {
                unsigned int __wch; char __wchb[4];
            } __value;
        } __mbstate_t;
typedef struct {
            __off_t __pos; __mbstate_t __state;
        } _G_fpos_t;
typedef struct {
            __off64_t __pos; __mbstate_t __state;
        } _G_fpos64_t;
typedef __builtin_va_list __gnuc_va_list;
struct _IO_jump_t;
struct _IO_FILE;
typedef void _IO_lock_t;
struct _IO_marker {
    struct _IO_marker * _next; struct _IO_FILE * _sbuf; int _pos;
};
enum __codecvt_result {
    __codecvt_ok, __codecvt_partial, __codecvt_error, __codecvt_noconv
};
struct _IO_FILE {
    int _flags;
    char * _IO_read_ptr;
    char * _IO_read_end;
    char * _IO_read_base;
    char * _IO_write_base;
    char * _IO_write_ptr;
    char * _IO_write_end;
    char * _IO_buf_base;
    char * _IO_buf_end;
    char * _IO_save_base;
    char * _IO_backup_base;
    char * _IO_save_end;
    struct _IO_marker * _markers;
    struct _IO_FILE * _chain;
    int _fileno;
    int _flags2;
    __off_t _old_offset;
    unsigned short _cur_column;
    signed char _vtable_offset;
    char _shortbuf[1];
    _IO_lock_t * _lock;
    __off64_t _offset;
    void * __pad1;
    void * __pad2;
    void * __pad3;
    void * __pad4;
    size_t __pad5;
    int _mode;
    char _unused2[15 * sizeof(int) - 4 * sizeof(void *) - sizeof(size_t)];
};
typedef struct _IO_FILE _IO_FILE;
struct _IO_FILE_plus;
extern struct _IO_FILE_plus _IO_2_1_stdin_;
extern struct _IO_FILE_plus _IO_2_1_stdout_;
extern struct _IO_FILE_plus _IO_2_1_stderr_;
typedef __ssize_t __io_read_fn(void * __cookie,
                               char * __buf,
                               size_t __nbytes);
typedef __ssize_t __io_write_fn(void * __cookie,
                                const char * __buf,
                                size_t __n);
typedef int __io_seek_fn(void * __cookie,
                         __off64_t * __pos,
                         int __w);
typedef int __io_close_fn(void * __cookie);
typedef _G_fpos_t fpos_t;
extern struct _IO_FILE * stdin;
extern struct _IO_FILE * stdout;
extern struct _IO_FILE * stderr;
extern FILE * tmpfile(void);
extern int getchar(void);
extern int putchar(int __c);
extern char * gets(char * __s);
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static long __undefined;
static int32_t g_3 = 0x2c70bb74L;
static uint16_t g_30 = 8uL;
static volatile int8_t g_38 = 0xa5L;
static int32_t g_54 = 0x26a25a95L;
static int32_t g_71[9] = { 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L };
static int32_t g_201 = 0x90b57f07L;
static int32_t g_300 = 0xa87531f4L;
static uint32_t g_329[2][7][6] = { { { 1uL, 0x86e9de6dL, 0xa3237e1dL, 0x97b45dcL, 0xa200b0ffL, 4294967290uL }, { 4294967291uL, 1uL, 0xa3237e1dL, 0x30b79297L, 0xa3237e1dL, 1uL }, { 4294967293uL, 0x30b79297L, 4294967290uL, 2uL, 0xcbc3065eL, 0x58eb26f2L }, { 2uL, 0xcbc3065eL, 0x58eb26f2L, 0xa3237e1dL, 3uL, 1uL }, { 1uL, 0xcbc3065eL, 0xb8c5fc2aL, 0xb8c5fc2aL, 0xcbc3065eL, 1uL }, { 0xcbc3065eL, 0x30b79297L, 1uL, 0x86e9de6dL, 0xa3237e1dL, 0x97b45dcL }, { 0xb8c5fc2aL, 1uL, 0x4a936e5eL, 0x30b79297L, 3uL, 0xb8c5fc2aL } }, { { 1uL, 0xa3237e1dL, 0x30b79297L, 0xa3237e1dL, 1uL, 4294967291uL }, { 0xa200b0ffL, 4294967291uL, 3uL, 1uL, 0xb8c5fc2aL, 0x58eb26f2L }, { 0x86e9de6dL, 1uL, 0xb8c5fc2aL, 4294967291uL, 0x58eb26f2L, 0x58eb26f2L }, { 4294967293uL, 3uL, 3uL, 4294967293uL, 4294967290uL, 4294967291uL }, { 0x58eb26f2L, 0x97b45dcL, 0x30b79297L, 2uL, 0xa3237e1dL, 0xb8c5fc2aL }, { 0x30b79297L, 0x86e9de6dL, 0x4a936e5eL, 1uL, 0xa3237e1dL, 1uL }, { 1uL, 0x97b45dcL, 1uL, 0xcbc3065eL, 4294967290uL, 0x86e9de6dL } } };
static int8_t g_344 = 1L;
static int16_t g_367 = 0xd65L;
static uint32_t g_458 = 0xbca3924bL;
static uint32_t g_513[7] = { 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L };
static int16_t g_521 = -9L;
static int16_t g_555 = -1L;
static uint8_t g_588 = 0xddL;
static int32_t g_658 = 0xc0c4a79L;
static volatile uint16_t g_669 = 0uL;
static int16_t g_697[9][2] = { { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L } };
static uint32_t g_721[10] = { 1uL, 0x5c7e2520L, 1uL, 0x39cbf230L, 0x39cbf230L, 1uL, 0x5c7e2520L, 1uL, 0x39cbf230L, 0x39cbf230L };
static uint16_t g_774 = 0x2fdL;
static int32_t g_866 = 3L;
static uint32_t g_920 = 0uL;
static int8_t g_930 = 0xc4L;
static uint32_t g_978 = 4294967295uL;
static volatile uint32_t g_1265[5][8] = { { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL } };
static uint16_t g_1266 = 0x383eL;
static uint32_t g_1281 = 1uL;
static volatile int32_t g_1382 = 1L;
static int32_t g_1763 = 0xed33f476L;
static int32_t g_1782 = 0xaec5dabaL;
static uint8_t g_1810[1] = { 3uL };
static int16_t g_1835[1][7][5] = { { { -9L, -9L, 2L, -9L, -9L }, { -1L, -9L, -1L, -1L, -9L }, { -9L, -1L, -1L, -9L, -1L }, { -9L, -9L, 2L, -9L, -9L }, { -1L, -9L, -1L, -1L, -9L }, { -9L, -1L, -1L, -9L, -1L }, { -9L, -9L, 2L, -9L, -9L } } };
static uint8_t g_1917 = 255uL;
static volatile int16_t g_1995 = 0x4cfcL;
static int8_t g_2004[7][1][10] = { { { 0L, 9L, 0L, -1L, 0L, -1L, -1L, 0L, -1L, 0L } }, { { 0L, 0L, 0xd5L, 0L, 0xe5L, -1L, 2L, -1L, 0xe5L, 0L } }, { { 0L, -3L, 0L, -1L, 0x7bL, 0L, 2L, 2L, 0L, 0x7bL } }, { { 0xd5L, 0L, 0L, 0L, -1L, 0L, 9L, 0L, 9L, 0L } }, { { 2L, -3L, -1L, -3L, 2L, 0xd5L, -1L, 9L, 9L, -1L } }, { { 0L, 0xd5L, 0L, 0L, 0xd5L, 0L, 0xe5L, -1L, 2L, -1L } }, { { -3L, 0L, 2L, 9L, 2L, 0L, -3L, 0xe5L, 0L, 0L } } };
static int16_t g_2065 = 0xf404L;
static uint32_t g_2066[9] = { 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L };
static int32_t g_2248 = 0L;
static volatile uint32_t g_2373 = 0x23c5291cL;
static volatile uint32_t g_2388[2] = { 0uL, 0uL };
static int32_t g_2580 = -9L;
static volatile uint16_t g_2617 = 0xb993L;
static int32_t g_3117 = 9L;
static int32_t g_3350 = -1L;
static uint8_t g_3691 = 1uL;
static uint32_t g_3847 = 4294967295uL;
static volatile uint16_t g_4401 = 0xbdbcL;
static int8_t g_4460 = 1L;
static uint32_t g_4512 = 4294967295uL;
static int8_t g_4614 = -9L;
static int32_t g_4663 = 0xd619133fL;
static int16_t g_4847 = 0x2a05L;
static uint32_t g_4848[6] = { 0xc783fef8L, 4uL, 0xc783fef8L, 0xc783fef8L, 4uL, 0xc783fef8L };
static int8_t g_4893 = -10L;
static volatile uint8_t g_4963 = 252uL;
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 9; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 7; j++)
        {
            for (k = 0; k < 6; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    k;
            }
        }
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 7; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 2; j++)
        {
            print_hash_value;
            if (print_hash_value)
                j;
        }
    }
    for (i = 0; i < 10; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 8; j++)
        {
            print_hash_value;
            if (print_hash_value)
                j;
        }
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 1; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 7; j++)
        {
            for (k = 0; k < 5; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    k;
            }
        }
    }
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 7; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                print_hash_value;
                if (print_hash_value)
                    k;
            }
        }
    }
    print_hash_value;
    for (i = 0; i < 9; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 2; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    print_hash_value;
    for (i = 0; i < 6; i++)
    {
        print_hash_value;
        if (print_hash_value)
            i;
    }
    print_hash_value;
    print_hash_value;
    print_hash_value;
    return 0;
}
