typedef unsigned long size_t;
extern void * memcpy(void * __dest,
                     const void * __src,
                     size_t __n);
extern void * memmove(void * __dest,
                      const void * __src,
                      size_t __n);
extern void * memset(void * __s, int __c, size_t __n);
extern int memcmp(const void * __s1,
                  const void * __s2,
                  size_t __n);
extern void * memchr(const void * __s, int __c, size_t __n);
extern char * strcpy(char * __dest, const char * __src);
extern char * strncpy(char * __dest,
                      const char * __src,
                      size_t __n);
extern char * strcat(char * __dest, const char * __src);
extern char * strncat(char * __dest,
                      const char * __src,
                      size_t __n);
extern int strcmp(const char * __s1, const char * __s2);
extern int strncmp(const char * __s1,
                   const char * __s2,
                   size_t __n);
extern int strcoll(const char * __s1, const char * __s2);
extern size_t strxfrm(char * __dest,
                      const char * __src,
                      size_t __n);
extern char * strchr(const char * __s, int __c);
extern char * strrchr(const char * __s, int __c);
extern size_t strcspn(const char * __s, const char * __reject);
extern size_t strspn(const char * __s, const char * __accept);
extern char * strpbrk(const char * __s, const char * __accept);
extern char * strstr(const char * __haystack,
                     const char * __needle);
extern char * strtok(char * __s, const char * __delim);
extern char * __strtok_r(char * __s,
                         const char * __delim,
                         char * * __save_ptr);
extern size_t strlen(const char * __s);
extern char * strerror(int __errnum);
extern void __bzero(void * __s, size_t __n);
typedef union {
            unsigned char __c[8]; double __d;
        } __huge_val_t;
static __huge_val_t __huge_val = { { 0, 0, 0, 0, 0, 0, 0xf0, 0x7f } };
typedef union {
            unsigned char __c[4]; float __f;
        } __huge_valf_t;
static __huge_valf_t __huge_valf = { { 0, 0, 0x80, 0x7f } };
static union {
           unsigned char __c[12]; long double __ld;
       } __huge_vall = { { 0, 0, 0, 0, 0, 0, 0, 0x80, 0xff, 0x7f, 0, 0 } };
static union {
           unsigned char __c[4]; float __d;
       } __qnan_union = { { 0, 0, 0xc0, 0x7f } };
typedef long double float_t;
typedef long double double_t;
extern double acos(double __x);
extern double __acos(double __x);
extern double asin(double __x);
extern double __asin(double __x);
extern double atan(double __x);
extern double __atan(double __x);
extern double atan2(double __y, double __x);
extern double __atan2(double __y, double __x);
extern double cos(double __x);
extern double __cos(double __x);
extern double sin(double __x);
extern double __sin(double __x);
extern double tan(double __x);
extern double __tan(double __x);
extern double cosh(double __x);
extern double __cosh(double __x);
extern double sinh(double __x);
extern double __sinh(double __x);
extern double tanh(double __x);
extern double __tanh(double __x);
extern double acosh(double __x);
extern double __acosh(double __x);
extern double asinh(double __x);
extern double __asinh(double __x);
extern double atanh(double __x);
extern double __atanh(double __x);
extern double exp(double __x);
extern double __exp(double __x);
extern double frexp(double __x, int * __exponent);
extern double __frexp(double __x, int * __exponent);
extern double ldexp(double __x, int __exponent);
extern double __ldexp(double __x, int __exponent);
extern double log(double __x);
extern double __log(double __x);
extern double log10(double __x);
extern double __log10(double __x);
extern double modf(double __x, double * __iptr);
extern double __modf(double __x, double * __iptr);
extern double expm1(double __x);
extern double __expm1(double __x);
extern double log1p(double __x);
extern double __log1p(double __x);
extern double logb(double __x);
extern double __logb(double __x);
extern double exp2(double __x);
extern double __exp2(double __x);
extern double log2(double __x);
extern double __log2(double __x);
extern double pow(double __x, double __y);
extern double __pow(double __x, double __y);
extern double sqrt(double __x);
extern double __sqrt(double __x);
extern double hypot(double __x, double __y);
extern double __hypot(double __x, double __y);
extern double cbrt(double __x);
extern double __cbrt(double __x);
extern double ceil(double __x);
extern double __ceil(double __x);
extern double fabs(double __x);
extern double __fabs(double __x);
extern double floor(double __x);
extern double __floor(double __x);
extern double fmod(double __x, double __y);
extern double __fmod(double __x, double __y);
extern int __isinf(double __value);
extern int __finite(double __value);
extern double copysign(double __x, double __y);
extern double __copysign(double __x, double __y);
extern double nan(const char * __tagb);
extern double __nan(const char * __tagb);
extern int __isnan(double __value);
extern double erf(double);
extern double __erf(double);
extern double erfc(double);
extern double __erfc(double);
extern double lgamma(double);
extern double __lgamma(double);
extern double tgamma(double);
extern double __tgamma(double);
extern double rint(double __x);
extern double __rint(double __x);
extern double nextafter(double __x, double __y);
extern double __nextafter(double __x, double __y);
extern double nexttoward(double __x, long double __y);
extern double __nexttoward(double __x, long double __y);
extern double remainder(double __x, double __y);
extern double __remainder(double __x, double __y);
extern double scalbn(double __x, int __n);
extern double __scalbn(double __x, int __n);
extern int ilogb(double __x);
extern int __ilogb(double __x);
extern double scalbln(double __x, long int __n);
extern double __scalbln(double __x, long int __n);
extern double nearbyint(double __x);
extern double __nearbyint(double __x);
extern double round(double __x);
extern double __round(double __x);
extern double trunc(double __x);
extern double __trunc(double __x);
extern double remquo(double __x, double __y, int * __quo);
extern double __remquo(double __x, double __y, int * __quo);
extern long int lrint(double __x);
extern long int __lrint(double __x);
extern long long int llrint(double __x);
extern long long int __llrint(double __x);
extern long int lround(double __x);
extern long int __lround(double __x);
extern long long int llround(double __x);
extern long long int __llround(double __x);
extern double fdim(double __x, double __y);
extern double __fdim(double __x, double __y);
extern double fmax(double __x, double __y);
extern double __fmax(double __x, double __y);
extern double fmin(double __x, double __y);
extern double __fmin(double __x, double __y);
extern int __fpclassify(double __value);
extern int __signbit(double __value);
extern double fma(double __x, double __y, double __z);
extern double __fma(double __x, double __y, double __z);
extern float acosf(float __x);
extern float __acosf(float __x);
extern float asinf(float __x);
extern float __asinf(float __x);
extern float atanf(float __x);
extern float __atanf(float __x);
extern float atan2f(float __y, float __x);
extern float __atan2f(float __y, float __x);
extern float cosf(float __x);
extern float __cosf(float __x);
extern float sinf(float __x);
extern float __sinf(float __x);
extern float tanf(float __x);
extern float __tanf(float __x);
extern float coshf(float __x);
extern float __coshf(float __x);
extern float sinhf(float __x);
extern float __sinhf(float __x);
extern float tanhf(float __x);
extern float __tanhf(float __x);
extern float acoshf(float __x);
extern float __acoshf(float __x);
extern float asinhf(float __x);
extern float __asinhf(float __x);
extern float atanhf(float __x);
extern float __atanhf(float __x);
extern float expf(float __x);
extern float __expf(float __x);
extern float frexpf(float __x, int * __exponent);
extern float __frexpf(float __x, int * __exponent);
extern float ldexpf(float __x, int __exponent);
extern float __ldexpf(float __x, int __exponent);
extern float logf(float __x);
extern float __logf(float __x);
extern float log10f(float __x);
extern float __log10f(float __x);
extern float modff(float __x, float * __iptr);
extern float __modff(float __x, float * __iptr);
extern float expm1f(float __x);
extern float __expm1f(float __x);
extern float log1pf(float __x);
extern float __log1pf(float __x);
extern float logbf(float __x);
extern float __logbf(float __x);
extern float exp2f(float __x);
extern float __exp2f(float __x);
extern float log2f(float __x);
extern float __log2f(float __x);
extern float powf(float __x, float __y);
extern float __powf(float __x, float __y);
extern float sqrtf(float __x);
extern float __sqrtf(float __x);
extern float hypotf(float __x, float __y);
extern float __hypotf(float __x, float __y);
extern float cbrtf(float __x);
extern float __cbrtf(float __x);
extern float ceilf(float __x);
extern float __ceilf(float __x);
extern float fabsf(float __x);
extern float __fabsf(float __x);
extern float floorf(float __x);
extern float __floorf(float __x);
extern float fmodf(float __x, float __y);
extern float __fmodf(float __x, float __y);
extern int __isinff(float __value);
extern int __finitef(float __value);
extern float copysignf(float __x, float __y);
extern float __copysignf(float __x, float __y);
extern float nanf(const char * __tagb);
extern float __nanf(const char * __tagb);
extern int __isnanf(float __value);
extern float erff(float);
extern float __erff(float);
extern float erfcf(float);
extern float __erfcf(float);
extern float lgammaf(float);
extern float __lgammaf(float);
extern float tgammaf(float);
extern float __tgammaf(float);
extern float rintf(float __x);
extern float __rintf(float __x);
extern float nextafterf(float __x, float __y);
extern float __nextafterf(float __x, float __y);
extern float nexttowardf(float __x, long double __y);
extern float __nexttowardf(float __x, long double __y);
extern float remainderf(float __x, float __y);
extern float __remainderf(float __x, float __y);
extern float scalbnf(float __x, int __n);
extern float __scalbnf(float __x, int __n);
extern int ilogbf(float __x);
extern int __ilogbf(float __x);
extern float scalblnf(float __x, long int __n);
extern float __scalblnf(float __x, long int __n);
extern float nearbyintf(float __x);
extern float __nearbyintf(float __x);
extern float roundf(float __x);
extern float __roundf(float __x);
extern float truncf(float __x);
extern float __truncf(float __x);
extern float remquof(float __x, float __y, int * __quo);
extern float __remquof(float __x, float __y, int * __quo);
extern long int lrintf(float __x);
extern long int __lrintf(float __x);
extern long long int llrintf(float __x);
extern long long int __llrintf(float __x);
extern long int lroundf(float __x);
extern long int __lroundf(float __x);
extern long long int llroundf(float __x);
extern long long int __llroundf(float __x);
extern float fdimf(float __x, float __y);
extern float __fdimf(float __x, float __y);
extern float fmaxf(float __x, float __y);
extern float __fmaxf(float __x, float __y);
extern float fminf(float __x, float __y);
extern float __fminf(float __x, float __y);
extern int __fpclassifyf(float __value);
extern int __signbitf(float __value);
extern float fmaf(float __x, float __y, float __z);
extern float __fmaf(float __x, float __y, float __z);
extern long double acosl(long double __x);
extern long double __acosl(long double __x);
extern long double asinl(long double __x);
extern long double __asinl(long double __x);
extern long double atanl(long double __x);
extern long double __atanl(long double __x);
extern long double atan2l(long double __y, long double __x);
extern long double __atan2l(long double __y, long double __x);
extern long double cosl(long double __x);
extern long double __cosl(long double __x);
extern long double sinl(long double __x);
extern long double __sinl(long double __x);
extern long double tanl(long double __x);
extern long double __tanl(long double __x);
extern long double coshl(long double __x);
extern long double __coshl(long double __x);
extern long double sinhl(long double __x);
extern long double __sinhl(long double __x);
extern long double tanhl(long double __x);
extern long double __tanhl(long double __x);
extern long double acoshl(long double __x);
extern long double __acoshl(long double __x);
extern long double asinhl(long double __x);
extern long double __asinhl(long double __x);
extern long double atanhl(long double __x);
extern long double __atanhl(long double __x);
extern long double expl(long double __x);
extern long double __expl(long double __x);
extern long double frexpl(long double __x, int * __exponent);
extern long double __frexpl(long double __x, int * __exponent);
extern long double ldexpl(long double __x, int __exponent);
extern long double __ldexpl(long double __x, int __exponent);
extern long double logl(long double __x);
extern long double __logl(long double __x);
extern long double log10l(long double __x);
extern long double __log10l(long double __x);
extern long double modfl(long double __x, long double * __iptr);
extern long double __modfl(long double __x, long double * __iptr);
extern long double expm1l(long double __x);
extern long double __expm1l(long double __x);
extern long double log1pl(long double __x);
extern long double __log1pl(long double __x);
extern long double logbl(long double __x);
extern long double __logbl(long double __x);
extern long double exp2l(long double __x);
extern long double __exp2l(long double __x);
extern long double log2l(long double __x);
extern long double __log2l(long double __x);
extern long double powl(long double __x, long double __y);
extern long double __powl(long double __x, long double __y);
extern long double sqrtl(long double __x);
extern long double __sqrtl(long double __x);
extern long double hypotl(long double __x, long double __y);
extern long double __hypotl(long double __x, long double __y);
extern long double cbrtl(long double __x);
extern long double __cbrtl(long double __x);
extern long double ceill(long double __x);
extern long double __ceill(long double __x);
extern long double fabsl(long double __x);
extern long double __fabsl(long double __x);
extern long double floorl(long double __x);
extern long double __floorl(long double __x);
extern long double fmodl(long double __x, long double __y);
extern long double __fmodl(long double __x, long double __y);
extern int __isinfl(long double __value);
extern int __finitel(long double __value);
extern long double copysignl(long double __x, long double __y);
extern long double __copysignl(long double __x, long double __y);
extern long double nanl(const char * __tagb);
extern long double __nanl(const char * __tagb);
extern int __isnanl(long double __value);
extern long double erfl(long double);
extern long double __erfl(long double);
extern long double erfcl(long double);
extern long double __erfcl(long double);
extern long double lgammal(long double);
extern long double __lgammal(long double);
extern long double tgammal(long double);
extern long double __tgammal(long double);
extern long double rintl(long double __x);
extern long double __rintl(long double __x);
extern long double nextafterl(long double __x, long double __y);
extern long double __nextafterl(long double __x, long double __y);
extern long double nexttowardl(long double __x, long double __y);
extern long double __nexttowardl(long double __x, long double __y);
extern long double remainderl(long double __x, long double __y);
extern long double __remainderl(long double __x, long double __y);
extern long double scalbnl(long double __x, int __n);
extern long double __scalbnl(long double __x, int __n);
extern int ilogbl(long double __x);
extern int __ilogbl(long double __x);
extern long double scalblnl(long double __x, long int __n);
extern long double __scalblnl(long double __x, long int __n);
extern long double nearbyintl(long double __x);
extern long double __nearbyintl(long double __x);
extern long double roundl(long double __x);
extern long double __roundl(long double __x);
extern long double truncl(long double __x);
extern long double __truncl(long double __x);
extern long double remquol(long double __x,
                           long double __y,
                           int * __quo);
extern long double __remquol(long double __x,
                             long double __y,
                             int * __quo);
extern long int lrintl(long double __x);
extern long int __lrintl(long double __x);
extern long long int llrintl(long double __x);
extern long long int __llrintl(long double __x);
extern long int lroundl(long double __x);
extern long int __lroundl(long double __x);
extern long long int llroundl(long double __x);
extern long long int __llroundl(long double __x);
extern long double fdiml(long double __x, long double __y);
extern long double __fdiml(long double __x, long double __y);
extern long double fmaxl(long double __x, long double __y);
extern long double __fmaxl(long double __x, long double __y);
extern long double fminl(long double __x, long double __y);
extern long double __fminl(long double __x, long double __y);
extern int __fpclassifyl(long double __value);
extern int __signbitl(long double __value);
extern long double fmal(long double __x,
                        long double __y,
                        long double __z);
extern long double __fmal(long double __x,
                          long double __y,
                          long double __z);
enum {
    FP_NAN = 0,
    FP_INFINITE = 1,
    FP_ZERO = 2,
    FP_SUBNORMAL = 3,
    FP_NORMAL = 4
};
typedef signed char int8_t;
typedef short int int16_t;
typedef int int32_t;
typedef long long int int64_t;
typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;
typedef unsigned long long int uint64_t;
typedef signed char int_least8_t;
typedef short int int_least16_t;
typedef int int_least32_t;
typedef long long int int_least64_t;
typedef unsigned char uint_least8_t;
typedef unsigned short int uint_least16_t;
typedef unsigned int uint_least32_t;
typedef unsigned long long int uint_least64_t;
typedef signed char int_fast8_t;
typedef int int_fast16_t;
typedef int int_fast32_t;
typedef long long int int_fast64_t;
typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned int uint_fast32_t;
typedef unsigned long long int uint_fast64_t;
typedef int intptr_t;
typedef unsigned int uintptr_t;
typedef long long int intmax_t;
typedef unsigned long long int uintmax_t;
extern void __assert_fail(const char * __assertion,
                          const char * __file,
                          unsigned int __line,
                          const char * __function);
extern void __assert_perror_fail(int __errnum,
                                 const char * __file,
                                 unsigned int __line,
                                 const char * __function);
extern void __assert(const char * __assertion,
                     const char * __file,
                     int __line);
typedef unsigned char __u_char;
typedef unsigned short int __u_short;
typedef unsigned int __u_int;
typedef unsigned long int __u_long;
typedef signed char __int8_t;
typedef unsigned char __uint8_t;
typedef signed short int __int16_t;
typedef unsigned short int __uint16_t;
typedef signed int __int32_t;
typedef unsigned int __uint32_t;
typedef signed long long int __int64_t;
typedef unsigned long long int __uint64_t;
typedef long long int __quad_t;
typedef unsigned long long int __u_quad_t;
typedef __u_quad_t __dev_t;
typedef unsigned int __uid_t;
typedef unsigned int __gid_t;
typedef unsigned long int __ino_t;
typedef __u_quad_t __ino64_t;
typedef unsigned int __mode_t;
typedef unsigned int __nlink_t;
typedef long int __off_t;
typedef __quad_t __off64_t;
typedef int __pid_t;
typedef struct {
            int __val[2];
        } __fsid_t;
typedef long int __clock_t;
typedef unsigned long int __rlim_t;
typedef __u_quad_t __rlim64_t;
typedef unsigned int __id_t;
typedef long int __time_t;
typedef unsigned int __useconds_t;
typedef long int __suseconds_t;
typedef int __daddr_t;
typedef int __key_t;
typedef int __clockid_t;
typedef void * __timer_t;
typedef long int __blksize_t;
typedef long int __blkcnt_t;
typedef __quad_t __blkcnt64_t;
typedef unsigned long int __fsblkcnt_t;
typedef __u_quad_t __fsblkcnt64_t;
typedef unsigned long int __fsfilcnt_t;
typedef __u_quad_t __fsfilcnt64_t;
typedef int __fsword_t;
typedef int __ssize_t;
typedef long int __syscall_slong_t;
typedef unsigned long int __syscall_ulong_t;
typedef __off64_t __loff_t;
typedef __quad_t * __qaddr_t;
typedef char * __caddr_t;
typedef int __intptr_t;
typedef unsigned int __socklen_t;
struct _IO_FILE;
typedef struct _IO_FILE FILE;
typedef struct _IO_FILE __FILE;
typedef struct {
            int __count;
            union {
                unsigned int __wch; char __wchb[4];
            } __value;
        } __mbstate_t;
typedef struct {
            __off_t __pos; __mbstate_t __state;
        } _G_fpos_t;
typedef struct {
            __off64_t __pos; __mbstate_t __state;
        } _G_fpos64_t;
typedef __builtin_va_list __gnuc_va_list;
struct _IO_jump_t;
struct _IO_FILE;
typedef void _IO_lock_t;
struct _IO_marker {
    struct _IO_marker * _next; struct _IO_FILE * _sbuf; int _pos;
};
enum __codecvt_result {
    __codecvt_ok, __codecvt_partial, __codecvt_error, __codecvt_noconv
};
struct _IO_FILE {
    int _flags;
    char * _IO_read_ptr;
    char * _IO_read_end;
    char * _IO_read_base;
    char * _IO_write_base;
    char * _IO_write_ptr;
    char * _IO_write_end;
    char * _IO_buf_base;
    char * _IO_buf_end;
    char * _IO_save_base;
    char * _IO_backup_base;
    char * _IO_save_end;
    struct _IO_marker * _markers;
    struct _IO_FILE * _chain;
    int _fileno;
    int _flags2;
    __off_t _old_offset;
    unsigned short _cur_column;
    signed char _vtable_offset;
    char _shortbuf[1];
    _IO_lock_t * _lock;
    __off64_t _offset;
    void * __pad1;
    void * __pad2;
    void * __pad3;
    void * __pad4;
    size_t __pad5;
    int _mode;
    char _unused2[15 * sizeof(int) - 4 * sizeof(void *) - sizeof(size_t)];
};
typedef struct _IO_FILE _IO_FILE;
struct _IO_FILE_plus;
extern struct _IO_FILE_plus _IO_2_1_stdin_;
extern struct _IO_FILE_plus _IO_2_1_stdout_;
extern struct _IO_FILE_plus _IO_2_1_stderr_;
typedef __ssize_t __io_read_fn(void * __cookie,
                               char * __buf,
                               size_t __nbytes);
typedef __ssize_t __io_write_fn(void * __cookie,
                                const char * __buf,
                                size_t __n);
typedef int __io_seek_fn(void * __cookie,
                         __off64_t * __pos,
                         int __w);
typedef int __io_close_fn(void * __cookie);
extern int __underflow(_IO_FILE *);
extern int __uflow(_IO_FILE *);
extern int __overflow(_IO_FILE *, int);
extern int _IO_getc(_IO_FILE * __fp);
extern int _IO_putc(int __c, _IO_FILE * __fp);
extern int _IO_feof(_IO_FILE * __fp);
extern int _IO_ferror(_IO_FILE * __fp);
extern int _IO_peekc_locked(_IO_FILE * __fp);
extern void _IO_flockfile(_IO_FILE *);
extern void _IO_funlockfile(_IO_FILE *);
extern int _IO_ftrylockfile(_IO_FILE *);
extern int _IO_vfscanf(_IO_FILE *,
                       const char *,
                       __gnuc_va_list,
                       int *);
extern int _IO_vfprintf(_IO_FILE *, const char *, __gnuc_va_list);
extern __ssize_t _IO_padn(_IO_FILE *, int, __ssize_t);
extern size_t _IO_sgetn(_IO_FILE *, void *, size_t);
extern __off64_t _IO_seekoff(_IO_FILE *, __off64_t, int, int);
extern __off64_t _IO_seekpos(_IO_FILE *, __off64_t, int);
extern void _IO_free_backup_area(_IO_FILE *);
typedef _G_fpos_t fpos_t;
extern struct _IO_FILE * stdin;
extern struct _IO_FILE * stdout;
extern struct _IO_FILE * stderr;
extern int remove(const char * __filename);
extern int rename(const char * __old, const char * __new);
extern FILE * tmpfile(void);
extern char * tmpnam(char * __s);
extern int fclose(FILE * __stream);
extern int fflush(FILE * __stream);
extern FILE * fopen(const char * __filename, const char * __modes);
extern FILE * freopen(const char * __filename,
                      const char * __modes,
                      FILE * __stream);
extern void setbuf(FILE * __stream, char * __buf);
extern int setvbuf(FILE * __stream,
                   char * __buf,
                   int __modes,
                   size_t __n);
extern int fprintf(FILE * __stream, const char * __format, ...);
extern int printf(const char * __format, ...);
extern int sprintf(char * __s, const char * __format, ...);
extern int vfprintf(FILE * __s,
                    const char * __format,
                    __gnuc_va_list __arg);
extern int vprintf(const char * __format, __gnuc_va_list __arg);
extern int vsprintf(char * __s,
                    const char * __format,
                    __gnuc_va_list __arg);
extern int snprintf(char * __s,
                    size_t __maxlen,
                    const char * __format, ...);
extern int vsnprintf(char * __s,
                     size_t __maxlen,
                     const char * __format,
                     __gnuc_va_list __arg);
extern int fscanf(FILE * __stream, const char * __format, ...);
extern int scanf(const char * __format, ...);
extern int sscanf(const char * __s, const char * __format, ...);
extern int __isoc99_fscanf(FILE * __stream,
                           const char * __format, ...);
extern int __isoc99_scanf(const char * __format, ...);
extern int __isoc99_sscanf(const char * __s,
                           const char * __format, ...);
extern int vfscanf(FILE * __s,
                   const char * __format,
                   __gnuc_va_list __arg);
extern int vscanf(const char * __format, __gnuc_va_list __arg);
extern int vsscanf(const char * __s,
                   const char * __format,
                   __gnuc_va_list __arg);
extern int __isoc99_vfscanf(FILE * __s,
                            const char * __format,
                            __gnuc_va_list __arg);
extern int __isoc99_vscanf(const char * __format,
                           __gnuc_va_list __arg);
extern int __isoc99_vsscanf(const char * __s,
                            const char * __format,
                            __gnuc_va_list __arg);
extern int fgetc(FILE * __stream);
extern int getc(FILE * __stream);
extern int getchar(void);
extern int fputc(int __c, FILE * __stream);
extern int putc(int __c, FILE * __stream);
extern int putchar(int __c);
extern char * fgets(char * __s, int __n, FILE * __stream);
extern char * gets(char * __s);
extern int fputs(const char * __s, FILE * __stream);
extern int puts(const char * __s);
extern int ungetc(int __c, FILE * __stream);
extern size_t fread(void * __ptr,
                    size_t __size,
                    size_t __n,
                    FILE * __stream);
extern size_t fwrite(const void * __ptr,
                     size_t __size,
                     size_t __n,
                     FILE * __s);
extern int fseek(FILE * __stream, long int __off, int __whence);
extern long int ftell(FILE * __stream);
extern void rewind(FILE * __stream);
extern int fgetpos(FILE * __stream, fpos_t * __pos);
extern int fsetpos(FILE * __stream, const fpos_t * __pos);
extern void clearerr(FILE * __stream);
extern int feof(FILE * __stream);
extern int ferror(FILE * __stream);
extern void perror(const char * __s);
static void platform_main_begin(void)
{
}
static void platform_main_end(uint32_t crc, int flag)
{
    printf("checksum = %X\n", crc);
}
static int8_t safe_unary_minus_func_int8_t_s(int8_t si)
{
    return -si;
}
static int8_t safe_add_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 + si2;
}
static int8_t safe_sub_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 - si2;
}
static int8_t safe_mul_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si1 * si2;
}
static int8_t safe_mod_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 % si2;
}
static int8_t safe_div_func_int8_t_s_s(int8_t si1, int8_t si2)
{
    return si2 == 0 || si1 == -128 && si2 == -1 ? si1 : si1 / si2;
}
static int8_t safe_lshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 127 >> (int) right ? left : left << (int) right;
}
static int8_t safe_lshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 127 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int8_t safe_rshift_func_int8_t_s_s(int8_t left, int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int8_t safe_rshift_func_int8_t_s_u(int8_t left,
                                          unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int16_t safe_unary_minus_func_int16_t_s(int16_t si)
{
    return -si;
}
static int16_t safe_add_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 + si2;
}
static int16_t safe_sub_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 - si2;
}
static int16_t safe_mul_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si1 * si2;
}
static int16_t safe_mod_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int16_t safe_div_func_int16_t_s_s(int16_t si1, int16_t si2)
{
    return si2 == 0 || si1 == -32767 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int16_t safe_lshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 32767 >> (int) right ? left : left << (int) right;
}
static int16_t safe_lshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 32767 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int16_t safe_rshift_func_int16_t_s_s(int16_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int16_t safe_rshift_func_int16_t_s_u(int16_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static int32_t safe_unary_minus_func_int32_t_s(int32_t si)
{
    return si == -2147483647 - 1 ? si : -si;
}
static int32_t safe_add_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 - si2 || si1 < 0 && si2 < 0 && si1 < -2147483647 - 1 - si2 ? si1 : si1 + si2;
}
static int32_t safe_sub_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return ((si1 ^ si2) & ((si1 ^ (si1 ^ si2) & ~2147483647) - si2 ^ si2)) < 0 ? si1 : si1 - si2;
}
static int32_t safe_mul_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si1 > 0 && si2 > 0 && si1 > 2147483647 / si2 || si1 > 0 && si2 <= 0 && si2 < (-2147483647 - 1) / si1 || si1 <= 0 && si2 > 0 && si1 < (-2147483647 - 1) / si2 || si1 <= 0 && si2 <= 0 && si1 != 0 && si2 < 2147483647 / si1 ? si1 : si1 * si2;
}
static int32_t safe_mod_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 % si2;
}
static int32_t safe_div_func_int32_t_s_s(int32_t si1, int32_t si2)
{
    return si2 == 0 || si1 == -2147483647 - 1 && si2 == -1 ? si1 : si1 / si2;
}
static int32_t safe_lshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 || left > 2147483647 >> (int) right ? left : left << (int) right;
}
static int32_t safe_lshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 || left > 2147483647 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static int32_t safe_rshift_func_int32_t_s_s(int32_t left,
                                            int right)
{
    return left < 0 || (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static int32_t safe_rshift_func_int32_t_s_u(int32_t left,
                                            unsigned int right)
{
    return left < 0 || (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint8_t safe_unary_minus_func_uint8_t_u(uint8_t ui)
{
    return -ui;
}
static uint8_t safe_add_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 + ui2;
}
static uint8_t safe_sub_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui1 - ui2;
}
static uint8_t safe_mul_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint8_t safe_mod_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint8_t safe_div_func_uint8_t_u_u(uint8_t ui1, uint8_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint8_t safe_lshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 255 >> (int) right ? left : left << (int) right;
}
static uint8_t safe_lshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 || left > 255 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_s(uint8_t left,
                                            int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint8_t safe_rshift_func_uint8_t_u_u(uint8_t left,
                                            unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint16_t safe_unary_minus_func_uint16_t_u(uint16_t ui)
{
    return -ui;
}
static uint16_t safe_add_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 + ui2;
}
static uint16_t safe_sub_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui1 - ui2;
}
static uint16_t safe_mul_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint16_t safe_mod_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint16_t safe_div_func_uint16_t_u_u(uint16_t ui1,
                                           uint16_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint16_t safe_lshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 65535 >> (int) right ? left : left << (int) right;
}
static uint16_t safe_lshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 65535 >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_s(uint16_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint16_t safe_rshift_func_uint16_t_u_u(uint16_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static uint32_t safe_unary_minus_func_uint32_t_u(uint32_t ui)
{
    return -ui;
}
static uint32_t safe_add_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 + ui2;
}
static uint32_t safe_sub_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui1 - ui2;
}
static uint32_t safe_mul_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return (unsigned int) ui1 * (unsigned int) ui2;
}
static uint32_t safe_mod_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 % ui2;
}
static uint32_t safe_div_func_uint32_t_u_u(uint32_t ui1,
                                           uint32_t ui2)
{
    return ui2 == 0 ? ui1 : ui1 / ui2;
}
static uint32_t safe_lshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 || left > 4294967295u >> (int) right ? left : left << (int) right;
}
static uint32_t safe_lshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 || left > 4294967295u >> (unsigned int) right ? left : left << (unsigned int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_s(uint32_t left,
                                              int right)
{
    return (int) right < 0 || (int) right >= 32 ? left : left >> (int) right;
}
static uint32_t safe_rshift_func_uint32_t_u_u(uint32_t left,
                                              unsigned int right)
{
    return (unsigned int) right >= 32 ? left : left >> (unsigned int) right;
}
static float safe_add_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 + 0.5f * sf2) > 0.5f * 0x1.fffffep+127F ? sf1 : sf1 + sf2;
}
static float safe_sub_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0.5f * sf1 - 0.5f * sf2) > 0.5f * 0x1.fffffep+127F ? sf1 : sf1 - sf2;
}
static float safe_mul_func_float_f_f(float sf1, float sf2)
{
    return fabsf(0x1.0p-100f * sf1 * (0x1.0p-28f * sf2)) > 0x1.0p-100f * (0x1.0p-28f * 0x1.fffffep+127F) ? sf1 : sf1 * sf2;
}
static float safe_div_func_float_f_f(float sf1, float sf2)
{
    return fabsf(sf2) < 1.0f && (sf2 == 0.0f || fabsf(0x1.0p-49f * sf1 / (0x1.0p100f * sf2)) > 0x1.0p-100f * (0x1.0p-49f * 0x1.fffffep+127F)) ? sf1 : sf1 / sf2;
}
static double safe_add_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 + 0.5 * sf2) > 0.5 * 0x1.fffffffffffffp+1023 ? sf1 : sf1 + sf2;
}
static double safe_sub_func_double_f_f(double sf1, double sf2)
{
    return fabs(0.5 * sf1 - 0.5 * sf2) > 0.5 * 0x1.fffffffffffffp+1023 ? sf1 : sf1 - sf2;
}
static double safe_mul_func_double_f_f(double sf1, double sf2)
{
    return fabs(0x1.0p-100 * sf1 * (0x1.0p-924 * sf2)) > 0x1.0p-100 * (0x1.0p-924 * 0x1.fffffffffffffp+1023) ? sf1 : sf1 * sf2;
}
static double safe_div_func_double_f_f(double sf1, double sf2)
{
    return fabs(sf2) < 1.0 && (sf2 == 0.0 || fabs(0x1.0p-974 * sf1 / (0x1.0p100 * sf2)) > 0x1.0p-100 * (0x1.0p-974 * 0x1.fffffffffffffp+1023)) ? sf1 : sf1 / sf2;
}
static int32_t safe_convert_func_float_to_int32_t(float sf1)
{
    return sf1 <= -2147483647 - 1 || sf1 >= 2147483647 ? 2147483647 : (int32_t) sf1;
}
static uint32_t crc32_tab[256];
static uint32_t crc32_context = 0xffffffffuL;
static void crc32_gentab(void)
{
    uint32_t crc;
    const uint32_t poly = 0xedb88320uL;
    int i, j;
    for (i = 0; i < 256; i++)
    {
        crc = i;
        for (j = 8; j > 0; j--)
        {
            if (crc & 1)
            {
                crc = crc >> 1 ^ poly;
            }
            else
            {
                crc >>= 1;
            }
        }
        crc32_tab[i] = crc;
    }
}
static void crc32_byte(uint8_t b)
{
    crc32_context = crc32_context >> 8 & 0xffffff ^ crc32_tab[(crc32_context ^ b) & 0xff];
}
static void crc32_8bytes(uint32_t val)
{
    crc32_byte(val >> 0 & 0xff);
    crc32_byte(val >> 8 & 0xff);
    crc32_byte(val >> 16 & 0xff);
    crc32_byte(val >> 24 & 0xff);
}
static void transparent_crc(uint32_t val, char * vname, int flag)
{
    crc32_8bytes(val);
    if (flag)
    {
        printf("...checksum after hashing %s : %X\n",
               vname,
               crc32_context ^ 0xffffffffu);
    }
}
static void transparent_crc_bytes(char * ptr,
                                  int nbytes,
                                  char * vname,
                                  int flag)
{
    int i;
    for (i = 0; i < nbytes; i++)
    {
        crc32_byte(ptr[i]);
    }
    if (flag)
    {
        printf("...checksum after hashing %s : %lX\n",
               vname,
               crc32_context ^ 0xffffffffuL);
    }
}
static long __undefined;
static int32_t g_3 = 0x2c70bb74L;
static uint16_t g_30 = 8uL;
static volatile int8_t g_38 = 0xa5L;
static int32_t g_54 = 0x26a25a95L;
static int32_t g_71[9] = { 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L, 4L };
static int32_t g_201 = 0x90b57f07L;
static int32_t g_300 = 0xa87531f4L;
static uint32_t g_329[2][7][6] = { { { 1uL, 0x86e9de6dL, 0xa3237e1dL, 0x97b45dcL, 0xa200b0ffL, 4294967290uL }, { 4294967291uL, 1uL, 0xa3237e1dL, 0x30b79297L, 0xa3237e1dL, 1uL }, { 4294967293uL, 0x30b79297L, 4294967290uL, 2uL, 0xcbc3065eL, 0x58eb26f2L }, { 2uL, 0xcbc3065eL, 0x58eb26f2L, 0xa3237e1dL, 3uL, 1uL }, { 1uL, 0xcbc3065eL, 0xb8c5fc2aL, 0xb8c5fc2aL, 0xcbc3065eL, 1uL }, { 0xcbc3065eL, 0x30b79297L, 1uL, 0x86e9de6dL, 0xa3237e1dL, 0x97b45dcL }, { 0xb8c5fc2aL, 1uL, 0x4a936e5eL, 0x30b79297L, 3uL, 0xb8c5fc2aL } }, { { 1uL, 0xa3237e1dL, 0x30b79297L, 0xa3237e1dL, 1uL, 4294967291uL }, { 0xa200b0ffL, 4294967291uL, 3uL, 1uL, 0xb8c5fc2aL, 0x58eb26f2L }, { 0x86e9de6dL, 1uL, 0xb8c5fc2aL, 4294967291uL, 0x58eb26f2L, 0x58eb26f2L }, { 4294967293uL, 3uL, 3uL, 4294967293uL, 4294967290uL, 4294967291uL }, { 0x58eb26f2L, 0x97b45dcL, 0x30b79297L, 2uL, 0xa3237e1dL, 0xb8c5fc2aL }, { 0x30b79297L, 0x86e9de6dL, 0x4a936e5eL, 1uL, 0xa3237e1dL, 1uL }, { 1uL, 0x97b45dcL, 1uL, 0xcbc3065eL, 4294967290uL, 0x86e9de6dL } } };
static int8_t g_344 = 1L;
static int16_t g_367 = 0xd65L;
static uint32_t g_458 = 0xbca3924bL;
static uint32_t g_513[7] = { 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L, 0x361537a8L };
static int16_t g_521 = -9L;
static int16_t g_555 = -1L;
static uint8_t g_588 = 0xddL;
static int32_t g_658 = 0xc0c4a79L;
static volatile uint16_t g_669 = 0uL;
static int16_t g_697[9][2] = { { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L }, { 0x29d4L, 0x29d4L }, { 0x29d4L, -1L } };
static uint32_t g_721[10] = { 1uL, 0x5c7e2520L, 1uL, 0x39cbf230L, 0x39cbf230L, 1uL, 0x5c7e2520L, 1uL, 0x39cbf230L, 0x39cbf230L };
static uint16_t g_774 = 0x2fdL;
static int32_t g_866 = 3L;
static uint32_t g_920 = 0uL;
static int8_t g_930 = 0xc4L;
static uint32_t g_978 = 4294967295uL;
static volatile uint32_t g_1265[5][8] = { { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL }, { 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL, 0xdda6101aL } };
static uint16_t g_1266 = 0x383eL;
static uint32_t g_1281 = 1uL;
static volatile int32_t g_1382 = 1L;
static int32_t g_1763 = 0xed33f476L;
static int32_t g_1782 = 0xaec5dabaL;
static uint8_t g_1810[1] = { 3uL };
static int16_t g_1835[1][7][5] = { { { -9L, -9L, 2L, -9L, -9L }, { -1L, -9L, -1L, -1L, -9L }, { -9L, -1L, -1L, -9L, -1L }, { -9L, -9L, 2L, -9L, -9L }, { -1L, -9L, -1L, -1L, -9L }, { -9L, -1L, -1L, -9L, -1L }, { -9L, -9L, 2L, -9L, -9L } } };
static uint8_t g_1917 = 255uL;
static volatile int16_t g_1995 = 0x4cfcL;
static int8_t g_2004[7][1][10] = { { { 0L, 9L, 0L, -1L, 0L, -1L, -1L, 0L, -1L, 0L } }, { { 0L, 0L, 0xd5L, 0L, 0xe5L, -1L, 2L, -1L, 0xe5L, 0L } }, { { 0L, -3L, 0L, -1L, 0x7bL, 0L, 2L, 2L, 0L, 0x7bL } }, { { 0xd5L, 0L, 0L, 0L, -1L, 0L, 9L, 0L, 9L, 0L } }, { { 2L, -3L, -1L, -3L, 2L, 0xd5L, -1L, 9L, 9L, -1L } }, { { 0L, 0xd5L, 0L, 0L, 0xd5L, 0L, 0xe5L, -1L, 2L, -1L } }, { { -3L, 0L, 2L, 9L, 2L, 0L, -3L, 0xe5L, 0L, 0L } } };
static int16_t g_2065 = 0xf404L;
static uint32_t g_2066[9] = { 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L, 0xa0898cf5L };
static int32_t g_2248 = 0L;
static volatile uint32_t g_2373 = 0x23c5291cL;
static volatile uint32_t g_2388[2] = { 0uL, 0uL };
static int32_t g_2580 = -9L;
static volatile uint16_t g_2617 = 0xb993L;
static int32_t g_3117 = 9L;
static int32_t g_3350 = -1L;
static uint8_t g_3691 = 1uL;
static uint32_t g_3847 = 4294967295uL;
static volatile uint16_t g_4401 = 0xbdbcL;
static int8_t g_4460 = 1L;
static uint32_t g_4512 = 4294967295uL;
static int8_t g_4614 = -9L;
static int32_t g_4663 = 0xd619133fL;
static int16_t g_4847 = 0x2a05L;
static uint32_t g_4848[6] = { 0xc783fef8L, 4uL, 0xc783fef8L, 0xc783fef8L, 4uL, 0xc783fef8L };
static int8_t g_4893 = -10L;
static volatile uint8_t g_4963 = 252uL;
static int16_t func_6(uint8_t p_7);
static uint16_t func_14(int8_t p_15,
                        int8_t p_16,
                        uint32_t p_17,
                        uint16_t p_18);
static int16_t func_22(int8_t p_23, int8_t p_24);
static int32_t func_42(uint16_t p_43, int32_t p_44);
static int32_t func_72(uint8_t p_73, int8_t p_74, uint8_t p_75);
static uint16_t func_77(uint32_t p_78);
static int16_t func_6(uint8_t p_7)
{
    int32_t l_19 = 0xd0176df7L;
    int8_t l_3776 = 0xd9L;
    int32_t l_3826[3];
    int32_t l_3827 = 1L;
    uint32_t l_3969 = 0xc6b29a57L;
    int i;
    for (i = 0; i < 3; i++)
        l_3826[i] = -1L;
    if (g_3)
    {
        uint8_t l_29 = 9uL;
        int32_t l_37 = -2L;
        l_37 = safe_lshift_func_int16_t_s_u(0x673e7ed6L > (g_71[7] = !safe_mul_func_int16_t_s_s(p_7,
                                                                                                func_14(p_7,
                                                                                                        l_19 & safe_mod_func_uint16_t_u_u(0x3c1dL,
                                                                                                                                          func_22(safe_mod_func_int32_t_s_s(0x4dde9aL,
                                                                                                                                                                            safe_rshift_func_uint8_t_u_u(g_30 = l_29 = 0xe5L,
                                                                                                                                                                                                         safe_lshift_func_int8_t_s_s(safe_lshift_func_uint16_t_u_u(safe_rshift_func_int8_t_s_s(p_7,
                                                                                                                                                                                                                                                                                               1),
                                                                                                                                                                                                                                                                   p_7 == l_37) != g_38,
                                                                                                                                                                                                                                     0))),
                                                                                                                                                  l_19)),
                                                                                                        p_7,
                                                                                                        l_37))),
                                            10);
    }
    else
    {
        uint8_t l_3775 = 0xa7L;
        int32_t l_3777 = 0x2bf1db03L;
        int8_t l_3786 = 3L;
        int32_t l_3834 = 1L;
        uint16_t l_3858 = 65535uL;
        if (safe_add_func_int32_t_s_s(safe_sub_func_uint8_t_u_u(safe_add_func_int32_t_s_s(g_300 = p_7,
                                                                                          (l_3775 & 0x9c9aL) < p_7),
                                                                0x86ce1c01L ^ p_7 & (l_3777 = p_7 | 0xe7L | l_3776)),
                                      l_3775))
        {
            return p_7;
        }
        else
        {
            int16_t l_3785 = 4L;
            int32_t l_3791 = -1L;
            int32_t l_3874 = -3L;
            for (g_344 = 3; g_344 >= 0; g_344 -= 1)
            {
                int16_t l_3780 = 0xfa24L;
                int32_t l_3792 = 0x14868e69L;
                uint8_t l_3795 = 0x59L;
                {
                    int16_t l_3780 = 0xfa24L;
                    int32_t l_3792 = 0x14868e69L;
                    uint8_t l_3795 = 0x59L;
                    l_3791 = l_19 < (safe_mod_func_uint8_t_u_u(l_3780 || safe_lshift_func_int8_t_s_s(l_3785 = safe_mul_func_uint8_t_u_u(g_588 = 251uL,
                                                                                                                                        0xd5L),
                                                                                                     6),
                                                               l_3786) ^ (safe_lshift_func_int16_t_s_s(g_978 == safe_mul_func_int8_t_s_s(l_3792 = 0x18edL != l_3791,
                                                                                                                                         l_3777 = safe_lshift_func_int8_t_s_s(0xdd6895fL < g_920,
                                                                                                                                                                              l_3795) > 0x1L),
                                                                                                       p_7) || g_1995));
                    for (l_3776 = 4; l_3776 >= 1; l_3776 -= 1)
                    {
                        for (g_3117 = 0; g_3117 <= 0; g_3117 += 1)
                        {
                            int i, j, k;
                            g_1782 = 0xaae6L & safe_mul_func_uint16_t_u_u(g_1835[g_3117][l_3776][g_344 + 1] != 0x32L || g_1835[g_3117][l_3776][l_3776] != (((g_1810[g_3117] = g_1835[g_3117][g_3117 + 1][l_3776] <= safe_add_func_uint16_t_u_u((safe_sub_func_uint32_t_u_u(g_1810[g_3117],
                                                                                                                                                                                                                                                                           0xbdb1d715L) & safe_rshift_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(safe_lshift_func_uint8_t_u_s(g_1265[g_344 + 1][g_344 + 2] && safe_rshift_func_uint8_t_u_u(g_521,
                                                                                                                                                                                                                                                                                                                                                                                                                                            1),
                                                                                                                                                                                                                                                                                                                                                                               g_344) | l_3776,
                                                                                                                                                                                                                                                                                                                                                  0uL),
                                                                                                                                                                                                                                                                                                                       p_7)) > p_7 != p_7,
                                                                                                                                                                                                                                               65530uL)) && g_1835[g_3117][l_3776][l_3776]) ^ l_3776),
                                                                          g_697[5][1]);
                            g_71[7] = p_7;
                        }
                    }
                }
                for (l_3776 = 4; l_3776 >= 1; l_3776 -= 1)
                {
                    for (g_3117 = 0; g_3117 <= 0; g_3117 += 1)
                    {
                        int i, j, k;
                        g_1782 = 0xaae6L & safe_mul_func_uint16_t_u_u(g_1835[g_3117][l_3776][g_344 + 1] != 0x32L || g_1835[g_3117][l_3776][l_3776] != (((g_1810[g_3117] = g_1835[g_3117][g_3117 + 1][l_3776] <= safe_add_func_uint16_t_u_u((safe_sub_func_uint32_t_u_u(g_1810[g_3117],
                                                                                                                                                                                                                                                                       0xbdb1d715L) & safe_rshift_func_uint8_t_u_u(safe_sub_func_uint32_t_u_u(safe_lshift_func_uint8_t_u_s(g_1265[g_344 + 1][g_344 + 2] && safe_rshift_func_uint8_t_u_u(g_521,
                                                                                                                                                                                                                                                                                                                                                                                                                                        1),
                                                                                                                                                                                                                                                                                                                                                                           g_344) | l_3776,
                                                                                                                                                                                                                                                                                                                                              0uL),
                                                                                                                                                                                                                                                                                                                   p_7)) > p_7 != p_7,
                                                                                                                                                                                                                                           65530uL)) && g_1835[g_3117][l_3776][l_3776]) ^ l_3776),
                                                                      g_697[5][1]);
                    }
                    {
                        uint8_t l_29 = 9uL;
                        int32_t l_37 = -2L;
                        l_37 = safe_lshift_func_int16_t_s_u(0x673e7ed6L > (g_71[7] = !safe_mul_func_int16_t_s_s(p_7,
                                                                                                                func_14(p_7,
                                                                                                                        l_19 & safe_mod_func_uint16_t_u_u(0x3c1dL,
                                                                                                                                                          func_22(safe_mod_func_int32_t_s_s(0x4dde9aL,
                                                                                                                                                                                            safe_rshift_func_uint8_t_u_u(g_30 = l_29 = 0xe5L,
                                                                                                                                                                                                                         safe_lshift_func_int8_t_s_s(safe_lshift_func_uint16_t_u_u(safe_rshift_func_int8_t_s_s(p_7,
                                                                                                                                                                                                                                                                                                               1),
                                                                                                                                                                                                                                                                                   p_7 == l_37) != g_38,
                                                                                                                                                                                                                                                     0))),
                                                                                                                                                                  l_19)),
                                                                                                                        p_7,
                                                                                                                        l_37))),
                                                            10);
                    }
                }
            }
            {
                uint8_t l_29 = 9uL;
                int32_t l_37 = -2L;
                l_37 = safe_lshift_func_int16_t_s_u(0x673e7ed6L > (g_71[7] = !safe_mul_func_int16_t_s_s(p_7,
                                                                                                        func_14(p_7,
                                                                                                                l_19 & safe_mod_func_uint16_t_u_u(0x3c1dL,
                                                                                                                                                  func_22(safe_mod_func_int32_t_s_s(0x4dde9aL,
                                                                                                                                                                                    safe_rshift_func_uint8_t_u_u(g_30 = l_29 = 0xe5L,
                                                                                                                                                                                                                 safe_lshift_func_int8_t_s_s(safe_lshift_func_uint16_t_u_u(safe_rshift_func_int8_t_s_s(p_7,
                                                                                                                                                                                                                                                                                                       1),
                                                                                                                                                                                                                                                                           p_7 == l_37) != g_38,
                                                                                                                                                                                                                                             0))),
                                                                                                                                                          l_19)),
                                                                                                                p_7,
                                                                                                                l_37))),
                                                    10);
            }
            l_3826[i] = -1L;
            return g_2580;
        }
    }
    return l_3969;
}
static uint16_t func_14(int8_t p_15,
                        int8_t p_16,
                        uint32_t p_17,
                        uint16_t p_18)
{
    uint32_t l_3614 = 0x682b5945L;
    int32_t l_3635 = 6L;
    int32_t l_3638 = 0L;
    uint16_t l_3647 = 0x533L;
    int32_t l_3768 = 0xcc60dbf6L;
    l_3614 = p_18;
    for (g_458 = 0; g_458 <= 4; g_458 += 1)
    {
        uint16_t l_3640 = 65535uL;
        int32_t l_3642[3][5];
        int32_t l_3672 = -1L;
        int32_t l_3694[10] = { -8L, -8L, -8L, -8L, -8L, -8L, -8L, -8L, -8L, -8L };
        int32_t l_3738 = 0x7f69d9b0L;
        int32_t l_3755 = 0x4831048bL;
        int i, j;
        l_3614 = p_18;
        if (l_3614)
            break;
        l_3614 = p_18;
        for (g_1763 = 1; g_1763 <= 6; g_1763 += 1)
        {
            uint8_t l_3639 = 255uL;
            int32_t l_3641 = 0x139cd152L;
            int32_t l_3652[3][8] = { { 0xde3e1fd3L, 0x26f14f79L, 0xf7ff7380L, 0xf7ff7380L, 0x26f14f79L, 0xde3e1fd3L, 0x26f14f79L, 0xf7ff7380L }, { 1L, 0x26f14f79L, 1L, 0xde3e1fd3L, 0xde3e1fd3L, 1L, 0x26f14f79L, 1L }, { 1L, 0xde3e1fd3L, 0xf7ff7380L, 0xde3e1fd3L, 1L, 1L, 0xde3e1fd3L, 0xf7ff7380L } };
            int32_t l_3671 = 3L;
            uint32_t l_3716 = 1uL;
            int16_t l_3721 = 0x525L;
            int32_t l_3737[8] = { 1L, 1L, 1L, 1L, 1L, 1L, 1L, 1L };
            int i, j;
            l_3642[1][4] = safe_sub_func_int16_t_s_s(p_16,
                                                     (l_3641 = safe_lshift_func_int8_t_s_s((p_18 = 0xfa2fL <= 0x1c4dL > ((g_555 = 0xc524L) > (safe_sub_func_uint32_t_u_u(safe_sub_func_int8_t_s_s(safe_add_func_int16_t_s_s(5L,
                                                                                                                                                                                                                            safe_sub_func_int16_t_s_s(l_3614 && (safe_rshift_func_uint16_t_u_u(safe_sub_func_int32_t_s_s(safe_lshift_func_uint8_t_u_u(p_17,
                                                                                                                                                                                                                                                                                                                                                      6),
                                                                                                                                                                                                                                                                                                                         safe_mul_func_int16_t_s_s(l_3635,
                                                                                                                                                                                                                                                                                                                                                   safe_sub_func_int8_t_s_s((l_3638 = 0xe6bc05b6L) <= 4294967295uL,
                                                                                                                                                                                                                                                                                                                                                                            p_18))),
                                                                                                                                                                                                                                                                                               1) && g_774) < 0uL,
                                                                                                                                                                                                                                                      0xad4L) | p_17),
                                                                                                                                                                                                  l_3639) ^ l_3639,
                                                                                                                                                                         p_17) > g_930) >= l_3640 <= 0xf8bfL) <= g_2004[6][0][7]) <= p_15,
                                                                                           p_17)) <= 0xe77db131L) == g_866 != 0uL;
            if (p_18)
            {
                int32_t l_3653 = 0L;
                for (p_16 = 4; p_16 >= 0; p_16 -= 1)
                {
                    int32_t l_3670 = 0xf2834046L;
                    int8_t l_3675 = 0L;
                    int i;
                    if (safe_add_func_int16_t_s_s(safe_lshift_func_uint8_t_u_u(p_18,
                                                                               0),
                                                  p_15 == ((g_513[g_458 + 1] = ((l_3647 = !(l_3639 ^ p_15 | 0x20L)) || safe_add_func_int16_t_s_s(safe_add_func_int32_t_s_s(l_3641 = ((!(g_2065 = ((g_344 = 0x7eL) ^ (0xec88L ^ p_17) | (l_3652[0][4] = g_1995)) & p_18) && 0L) == g_978) < l_3653 == 0xd8d7L,
                                                                                                                                                                           p_17) >= 65531uL,
                                                                                                                                                 p_18)) & 0uL | 0xb4L) == 4uL) < -1L))
                    {
                        int16_t l_3664[7];
                        int32_t l_3665 = 1L;
                        int32_t l_3668[2][3] = { { 0x7d02aedcL, 0x7d02aedcL, 0x7d02aedcL }, { 0x67db47f5L, 0x67db47f5L, 0x67db47f5L } };
                        int32_t l_3669 = 0xc04c170dL;
                        int i, j;
                        for (i = 0; i < 7; i++)
                            l_3664[i] = 0L;
                        l_3672 = safe_lshift_func_uint8_t_u_u(0xa33a6990L <= (((l_3670 = +((l_3669 = safe_mul_func_int8_t_s_s(safe_add_func_uint8_t_u_u(p_16 <= (safe_rshift_func_int8_t_s_u(safe_mul_func_int16_t_s_s((l_3665 = l_3664[6] = g_344) == p_18,
                                                                                                                                                                                                                       65535uL),
                                                                                                                                                                                             p_15 > (p_15 || (l_3642[1][4] = p_17 & safe_lshift_func_int8_t_s_s(l_3668[0][2],
                                                                                                                                                                                                                                                                7)))) != 1uL),
                                                                                                                                                        p_15) == 0x76f0L != l_3652[0][4],
                                                                                                                              255uL)) > g_1835[0][4][3]) == g_658) ^ 1uL) <= l_3671),
                                                              g_513[4]);
                        l_3670 = l_3641;
                        l_3653 = g_458;
                    }
                    else
                    {
                        l_3675 = safe_sub_func_uint32_t_u_u(p_17, l_3647);
                        if (p_16)
                            continue;
                    }
                }
                for (g_1281 = 0; g_1281 <= 4; g_1281 += 1)
                {
                    uint16_t l_3690 = 65535uL;
                    int16_t l_3723 = 0L;
                    int32_t l_3734 = 0x1358498bL;
                    if ((1uL | ((g_513[1] = g_658 ^ safe_sub_func_int16_t_s_s(0x842L || safe_add_func_uint32_t_u_u(p_17 > safe_rshift_func_int8_t_s_s(((safe_mul_func_int8_t_s_s(safe_sub_func_int16_t_s_s(g_1265[0][4] || safe_mul_func_int16_t_s_s(l_3672,
                                                                                                                                                                                                                                                     safe_mul_func_uint16_t_u_u(l_3641 == (l_3638 = p_15) && l_3635,
                                                                                                                                                                                                                                                                                g_1382)),
                                                                                                                                                                                                           l_3690),
                                                                                                                                                                                 0uL) | p_16) != 0L) > 0xd4L,
                                                                                                                                                      l_3653),
                                                                                                                   l_3671),
                                                                              p_15)) & p_16) > 255uL ^ g_3691) ^ 0x493bL)
                    {
                        g_71[7] = p_17;
                    }
                    else
                    {
                        if (l_3638)
                            break;
                        l_3653 = 0uL != (p_18 = safe_add_func_int16_t_s_s(g_344, l_3635));
                    }
                    if (((l_3694[4] | g_3691) ^ p_18 <= (safe_mod_func_int8_t_s_s(1L,
                                                                                  p_17) >= (p_18 && +(g_697[8][1] && safe_sub_func_uint16_t_u_u(65526uL,
                                                                                                                                                safe_add_func_uint32_t_u_u((safe_add_func_int16_t_s_s(safe_mul_func_uint8_t_u_u(l_3652[0][4],
                                                                                                                                                                                                                                0xacL),
                                                                                                                                                                                                      g_721[8]) != g_458) >= g_866 | g_201,
                                                                                                                                                                           g_2066[7])))))) > g_920)
                    {
                        int16_t l_3709 = -3L;
                        int32_t l_3722 = -6L;
                        l_3653 = l_3723 = 0x4787L >= ~(safe_lshift_func_uint8_t_u_s(p_17 ^ g_30,
                                                                                    safe_add_func_uint32_t_u_u(l_3709 = g_920 = p_17,
                                                                                                               g_2065) || safe_add_func_uint16_t_u_u(g_774 = l_3722 = (l_3638 = safe_mul_func_int8_t_s_s((l_3642[0][1] = l_3639) | (safe_rshift_func_uint8_t_u_s(l_3716,
                                                                                                                                                                                                                                                                 5) <= safe_sub_func_uint32_t_u_u(safe_sub_func_uint8_t_u_u(g_866,
                                                                                                                                                                                                                                                                                                                            l_3721),
                                                                                                                                                                                                                                                                                                  l_3635) || 0xd8110da4L),
                                                                                                                                                                                                         p_18)) <= p_16,
                                                                                                                                                     l_3614)) >= l_3614 > 1L) > l_3640 ^ 0x4aL;
                        if (p_15)
                            continue;
                        l_3738 = p_17 > (g_978 = ((l_3638 = p_18 = (p_16 = ((g_2004[3][0][6] | g_521) != (safe_mul_func_int16_t_s_s(safe_mul_func_uint8_t_u_u((l_3672 = 0x3d0740edL > 1uL) == (l_3642[1][4] = safe_lshift_func_int16_t_s_u(l_3641 > (safe_sub_func_uint32_t_u_u(safe_mod_func_uint32_t_u_u(l_3734 = g_721[6],
                                                                                                                                                                                                                                                                                                           0x21aaca16L) >= safe_add_func_int8_t_s_s(l_3737[5] <= g_930 && l_3653 && 0xc9a2L,
                                                                                                                                                                                                                                                                                                                                                    p_17),
                                                                                                                                                                                                                                                                                g_521) >= p_17 < 0x6eecL >= l_3653 > p_16 == l_3690),
                                                                                                                                                                                                                                           g_669)),
                                                                                                                                                              p_16),
                                                                                                                                    0x27cfL) != 0x45cdd01dL)) < 0x42a7L) & p_17) <= 7uL || 0x20L) && l_3640);
                    }
                    else
                    {
                        int16_t l_3766 = 1L;
                        uint16_t l_3767 = 0xb26aL;
                        l_3768 = (l_3641 = p_16 || ~(safe_mul_func_uint16_t_u_u(safe_lshift_func_uint8_t_u_s(safe_add_func_int16_t_s_s(safe_rshift_func_uint8_t_u_s(safe_add_func_int32_t_s_s(246uL == 0xc1L,
                                                                                                                                                                                              safe_rshift_func_uint8_t_u_u(safe_mod_func_int32_t_s_s(p_18,
                                                                                                                                                                                                                                                     (g_513[1] = l_3638 = g_3117) & l_3755 >= 255uL),
                                                                                                                                                                                                                           6)) | safe_sub_func_int16_t_s_s(safe_lshift_func_int8_t_s_u(((0xd47b57beL ^ (safe_mod_func_uint32_t_u_u(safe_sub_func_int8_t_s_s(l_3653 = safe_lshift_func_uint8_t_u_u(l_3766,
                                                                                                                                                                                                                                                                                                                                                                                                  2),
                                                                                                                                                                                                                                                                                                                                                            p_15) < p_18 < p_15,
                                                                                                                                                                                                                                                                                                                                   2uL) == g_3117) <= g_1995) & g_344) < 0L < g_588,
                                                                                                                                                                                                                                                                                       0),
                                                                                                                                                                                                                                                           g_2004[3][0][8]) == 6L == g_1917,
                                                                                                                                                                    l_3767),
                                                                                                                                       p_18),
                                                                                                             l_3647),
                                                                                l_3672) & g_2066[7])) ^ g_1835[0][3][2];
                    }
                    g_71[7] = 0x330735fL;
                }
            }
            else
            {
                return p_18;
            }
        }
    }
    l_3614 = p_18;
    return l_3647;
}
static int16_t func_22(int8_t p_23, int8_t p_24)
{
    int32_t l_39 = 0xe69cd17cL;
    int32_t l_3290 = 0xd1937a4eL;
    int8_t l_3351 = -1L;
    int32_t l_3352 = 0L;
    int32_t l_3429 = 0xe665eb51L;
    int32_t l_3484 = -1L;
    uint32_t l_3601[1];
    uint8_t l_3612 = 0x31L;
    uint32_t l_3613[9] = { 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L, 0x89002f36L };
    int i;
    l_39 = p_24 || 0xc7L;
    if (1L ^ safe_lshift_func_int16_t_s_s(p_23, l_39))
    {
        int32_t l_53 = -5L;
        int32_t l_55 = 0x94bf7d6L;
        int32_t l_2017 = 5L;
        if ((g_71[7] = func_42(p_24 & g_1810[0], g_2066[5])) >= 1uL)
        {
            uint32_t l_3283 = 0x3d3c162dL;
            int32_t l_3296[1][8] = { { 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L, 0xc5c04a52L } };
            int8_t l_3373 = 6L;
            int32_t l_3374 = 0x73fcfb24L;
            int32_t l_3474 = 0xca427643L;
            int i, j;
            for (i = 0; i < 1; i++)
                l_3601[i] = 0xa07d2e31L;
        }
        else
        {
            int32_t l_3560 = 0xd81a3106L;
            for (i = 0; i < 1; i++)
                l_3601[i] = 0xa07d2e31L;
            l_39 = p_24 || 0xc7L;
        }
    }
    else
    {
        int16_t l_3575[9] = { 0xa84L, 0xa84L, 0xa84L, 0xa84L, 0xa84L, 0xa84L, 0xa84L, 0xa84L, 0xa84L };
        uint16_t l_3588 = 65526uL;
        int32_t l_3592 = 0L;
        int i;
        for (g_1782 = 11; g_1782 < 23; ++g_1782)
        {
            uint32_t l_3576 = 0xb8e159cL;
            int32_t l_3577[5];
            int32_t l_3591 = 5L;
            int i;
            for (i = 0; i < 5; i++)
                l_3577[i] = 0L;
            g_2580 = safe_mod_func_int32_t_s_s((l_3577[1] = (safe_rshift_func_int8_t_s_s(-1L,
                                                                                         safe_add_func_int32_t_s_s(((safe_mul_func_uint8_t_u_u(safe_add_func_int32_t_s_s(p_24,
                                                                                                                                                                         g_555),
                                                                                                                                               (l_3575[3] = 0xb2L) & l_3576) || (g_344 = g_1782) > g_329[1][0][0]) && p_24) <= (g_521 ^ 1L) > g_2388[1],
                                                                                                                   6L)) || g_513[6]) & p_24) || p_24,
                                               l_3351);
            g_2580 = l_3592 = safe_mod_func_int32_t_s_s(safe_lshift_func_uint16_t_u_s(l_3290,
                                                                                      safe_sub_func_uint32_t_u_u(+(safe_mod_func_int8_t_s_s(l_3577[4] = l_3588,
                                                                                                                                            1uL) <= (246uL <= (safe_sub_func_int8_t_s_s(0x11L,
                                                                                                                                                                                        l_3591) | p_24))),
                                                                                                                 g_71[7] = 0x8aea7e00L) & l_3588) || 0uL,
                                                        3L) > p_23 == 0x49dfL;
        }
    }
    g_300 = l_3484 & safe_mul_func_uint8_t_u_u(p_24,
                                               safe_sub_func_uint16_t_u_u(safe_sub_func_int8_t_s_s(((l_3290 = safe_sub_func_int16_t_s_s(g_1835[0][3][2] = l_3601[0] != l_3601[0],
                                                                                                                                        safe_lshift_func_int8_t_s_u(p_23,
                                                                                                                                                                    safe_add_func_uint8_t_u_u((safe_sub_func_int16_t_s_s(g_329[1][0][0],
                                                                                                                                                                                                                         ((l_3352 > safe_mul_func_int8_t_s_s(safe_rshift_func_uint8_t_u_s(p_24,
                                                                                                                                                                                                                                                                                          4) > (p_24 == g_721[2] && l_3612),
                                                                                                                                                                                                                                                             0x44L) && p_23) >= 0xa997e5a0L <= g_71[7] & g_697[1][1]) <= l_3290 & 4294967289uL) | g_513[1]) & 0x6964L && l_3612,
                                                                                                                                                                                              p_23)))) < g_930 == l_3613[7]) >= 0xe6b1b2ddL == p_24,
                                                                                                   l_3601[0]) & 1uL,
                                                                          0x6f95L) & g_2617);
    l_3290 = g_521;
    return l_3351;
}
static int32_t func_42(uint16_t p_43, int32_t p_44)
{
    int16_t l_2846[10][6] = { { 0x181dL, 0x7aeeL, 0xcd22L, 0xcd22L, 0x7aeeL, 0x181dL }, { 4L, 0xd06aL, 0x682aL, 0x9ed8L, 0x181dL, -7L }, { 0x7aeeL, -1L, 0xbe9fL, 0x181dL, 0xbe9fL, -1L }, { 0x7aeeL, -7L, 0x181dL, 0x9ed8L, 0x682aL, 0xd06aL }, { 4L, 0x181dL, 0x7aeeL, 0xcd22L, 0xcd22L, 0x7aeeL }, { 0x181dL, 0x181dL, 8L, 4L, 0x682aL, 0xcd22L }, { -1L, -7L, 0x9ed8L, 8L, 0xbe9fL, 8L }, { 0x9ed8L, -1L, 0x9ed8L, 0xd06aL, 0x181dL, 0xcd22L }, { -5L, 0xd06aL, 8L, 0x1752L, 0x7aeeL, 0x7aeeL }, { 0x1752L, 0x7aeeL, 0x7aeeL, 0x1752L, 8L, 0xd06aL } };
    uint32_t l_2874 = 0x3729c858L;
    int32_t l_2880 = 0x55a52d41L;
    int32_t l_2889 = 0xa5ff1cc4L;
    int32_t l_2891 = 7L;
    uint16_t l_2989 = 65535uL;
    uint32_t l_3008 = 4294967295uL;
    int i, j;
    l_2889 = 8L || 1uL;
    return l_3008;
}
static int32_t func_72(uint8_t p_73, int8_t p_74, uint8_t p_75)
{
    int8_t l_81 = 0xe5L;
    int32_t l_87 = -8L;
    int32_t l_90 = 8L;
    int32_t l_100 = 0L;
    int32_t l_119 = 0L;
    uint8_t l_206 = 1uL;
    int8_t l_368 = -1L;
    uint32_t l_396 = 4294967295uL;
    int32_t l_589[8] = { 0xe9acbb18L, 0L, 0xe9acbb18L, 0L, 0xe9acbb18L, 0L, 0xe9acbb18L, 0L };
    int i;
    if (safe_lshift_func_int8_t_s_u(l_81 < (safe_lshift_func_uint8_t_u_s(2uL,
                                                                         safe_lshift_func_int16_t_s_u(l_81 == (g_71[7] == safe_unary_minus_func_int32_t_s(g_38)) ^ (l_87 = 0x35L || 0L),
                                                                                                      (l_90 = safe_rshift_func_int16_t_s_s(l_81,
                                                                                                                                           p_73) || l_81) ^ l_81)) | -1L | p_73),
                                    l_81) > 5L ^ l_81)
    {
        return g_30;
    }
    else
    {
        int32_t l_99 = 0xe9f33c75L;
        int16_t l_101[9][7] = { { -4L, 0x15e6L, 0L, 0xdd8bL, 0x2fd9L, 0x2fd9L, 0xdd8bL }, { 1L, 0x9c18L, 1L, 0xdd8bL, 0L, 0xd316L, 0x9c18L }, { 0xdd8bL, 0L, 0x5451L, 0xb2f3L, -1L, 0xdd8bL, 0x143dL }, { 0xb829L, 0xc2b2L, 0L, 1L, 0x143dL, 0xd316L, 0x15e6L }, { -4L, 0x2fd9L, -1L, 0xc8d5L, -1L, 0x2fd9L, -4L }, { -4L, 0L, -1L, 0xc2b2L, 0x2fd9L, 0L, -1L }, { 0xb829L, -1L, 1L, 0x15e6L, 0xdd8bL, -9L, -1L }, { 0xdd8bL, 0x143dL, -1L, 0L, 6L, 0xdd8bL, 6L }, { 1L, -1L, -1L, 1L, 6L, -1L, 0xc2b2L } };
        uint16_t l_106 = 0xca57L;
        int32_t l_163 = 0L;
        int32_t l_164[7][10] = { { 0L, 0L, 0L, 4L, 0x2188dbb9L, -7L, 0x871b159bL, -8L, 6L, -10L }, { 0x3ad0e752L, 0x2188dbb9L, 0x577b4ca1L, 0xc0aae426L, 0x8632a430L, 0L, 0L, 0x8632a430L, 0xc0aae426L, 0x577b4ca1L }, { 0x2188dbb9L, 0x2188dbb9L, 5L, 0x9ee7a1aeL, -10L, 0xbd9b2bb3L, 0L, 0x577b4ca1L, 0x9ee7a1aeL, -8L }, { -1L, 0x2188dbb9L, -10L, -1L, 0x577b4ca1L, 0x3ad0e752L, 0L, 5L, -1L, 5L }, { 0L, 0x2188dbb9L, -8L, -1L, -8L, 0x2188dbb9L, 0L, -10L, -1L, 0x8632a430L }, { 0xbd9b2bb3L, 0x2188dbb9L, 0x8632a430L, 6L, 5L, -1L, 0L, -8L, 6L, -10L }, { 0x3ad0e752L, 0x2188dbb9L, 0x577b4ca1L, 0xc0aae426L, 0x8632a430L, 0L, 0L, 0x8632a430L, 0xc0aae426L, 0x577b4ca1L } };
        uint16_t l_197 = 0uL;
        uint32_t l_229 = 8uL;
        uint32_t l_251[1][5][9] = { { { 0uL, 0xb73b3ab4L, 0x81276ff5L, 0x70c91f96L, 0xb73b3ab4L, 0xaa67d54bL, 0x617a3c90L, 0uL, 4294967293uL }, { 0uL, 0uL, 0uL, 0uL, 4294967286uL, 4294967293uL, 4294967286uL, 0uL, 0uL }, { 4294967286uL, 4294967286uL, 0uL, 0xb73b3ab4L, 4294967295uL, 4294967293uL, 0x617a3c90L, 4294967286uL, 1uL }, { 0uL, 0uL, 1uL, 0xb73b3ab4L, 4294967286uL, 0xaa67d54bL, 0uL, 0uL, 0xaa67d54bL }, { 0xb73b3ab4L, 0uL, 0uL, 0uL, 0xb73b3ab4L, 0x81276ff5L, 0x70c91f96L, 0xb73b3ab4L, 0xaa67d54bL } } };
        int16_t l_297 = -1L;
        int32_t l_318 = 0xa3f3abe0L;
        int i, j, k;
        l_100 = safe_add_func_uint32_t_u_u(safe_mul_func_int16_t_s_s(1L < g_38 != ((6L < ((0xa1L ^ safe_mul_func_uint16_t_u_u(g_71[7],
                                                                                                                              g_71[2])) < g_71[5] <= (0x2bL == safe_rshift_func_int16_t_s_u(g_3,
                                                                                                                                                                                            g_30))) == -1L) >= 0x27c38d1eL <= p_73 != 0x76a2L ^ l_99),
                                                                     g_30) >= g_30,
                                           g_71[7]) >= 1uL;
        {
            return g_30;
        }
        g_71[8] = l_101[2][6];
        g_71[8] = l_101[2][6];
        for (l_81 = 0; l_81 > 27; l_81++)
        {
            int32_t l_117 = 0x5ee0523cL;
            uint16_t l_162 = 65535uL;
            int32_t l_166 = 1L;
            int32_t l_196 = 0xa00d3cd3L;
            uint16_t l_199 = 0xda1eL;
            int32_t l_320 = 0L;
            for (l_90 = -4; l_90 <= 2; ++l_90)
            {
                uint16_t l_118 = 0x4ceaL;
                g_71[8] = l_101[2][6];
                l_87 = ~(safe_unary_minus_func_int8_t_s(g_71[1]) == 3L);
            }
        }
        g_71[8] = l_101[2][6];
        l_164[3][6] = !(safe_mod_func_int16_t_s_s(l_90 = -1L <= p_73 & (l_368 = safe_lshift_func_uint8_t_u_s(l_90 < safe_add_func_uint8_t_u_u(p_74 & safe_sub_func_int16_t_s_s(g_38 <= (!(0x7fc3L || (g_367 = safe_mod_func_int16_t_s_s(safe_unary_minus_func_uint16_t_u(l_99 = l_90 == (l_100 = g_329[1][0][0])),
                                                                                                                                                                                                                                        safe_add_func_uint16_t_u_u(safe_mul_func_int16_t_s_s(l_87 = safe_sub_func_int32_t_s_s(safe_lshift_func_uint16_t_u_u(safe_mul_func_int16_t_s_s(0xec5aL,
                                                                                                                                                                                                                                                                                                                                                                                      0x6c7fL),
                                                                                                                                                                                                                                                                                                                                                            7),
                                                                                                                                                                                                                                                                                                                              g_201),
                                                                                                                                                                                                                                                                                             g_329[1][0][0]),
                                                                                                                                                                                                                                                                   65535uL) ^ g_71[4]))) <= 4L),
                                                                                                                                                                               65526uL),
                                                                                                                                              g_344),
                                                                                                             g_344)),
                                                  0x61adL) | l_81 || 0x3e26L);
        {
            return g_30;
        }
    }
    l_589[2] = (g_300 = ((safe_rshift_func_int8_t_s_s(-10L,
                                                      2) | safe_add_func_uint8_t_u_u((l_87 = safe_mod_func_uint16_t_u_u(g_588 = p_75 >= ((g_71[7] = safe_sub_func_int8_t_s_s(g_555,
                                                                                                                                                                             safe_mul_func_int16_t_s_s(0x59caL,
                                                                                                                                                                                                       l_90 = safe_mod_func_int16_t_s_s(g_555 ^ (safe_lshift_func_int16_t_s_u(g_201,
                                                                                                                                                                                                                                                                              14) > (l_100 = l_100) || g_367 && p_73),
                                                                                                                                                                                                                                        l_396)))) ^ g_521),
                                                                                                                        0x6ce4L)) | g_30,
                                                                                     g_521) >= p_75) < 0x37L && p_74) > l_81) | 0x4b3b9a81L;
    return l_206;
}
static uint16_t func_77(uint32_t p_78)
{
    return g_71[7];
}
int main(void)
{
    int i, j, k;
    int print_hash_value = 0;
    platform_main_begin();
    crc32_gentab();
    transparent_crc(g_3, "g_3", print_hash_value);
    transparent_crc(g_30, "g_30", print_hash_value);
    transparent_crc(g_38, "g_38", print_hash_value);
    transparent_crc(g_54, "g_54", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_71[i], "g_71[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_201, "g_201", print_hash_value);
    transparent_crc(g_300, "g_300", print_hash_value);
    for (i = 0; i < 2; i++)
    {
        for (j = 0; j < 7; j++)
        {
            for (k = 0; k < 6; k++)
            {
                transparent_crc(g_329[i][j][k],
                                "g_329[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_344, "g_344", print_hash_value);
    transparent_crc(g_367, "g_367", print_hash_value);
    transparent_crc(g_458, "g_458", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        transparent_crc(g_513[i], "g_513[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_521, "g_521", print_hash_value);
    transparent_crc(g_555, "g_555", print_hash_value);
    transparent_crc(g_588, "g_588", print_hash_value);
    transparent_crc(g_658, "g_658", print_hash_value);
    transparent_crc(g_669, "g_669", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        for (j = 0; j < 2; j++)
        {
            transparent_crc(g_697[i][j], "g_697[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    for (i = 0; i < 10; i++)
    {
        transparent_crc(g_721[i], "g_721[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_774, "g_774", print_hash_value);
    transparent_crc(g_866, "g_866", print_hash_value);
    transparent_crc(g_920, "g_920", print_hash_value);
    transparent_crc(g_930, "g_930", print_hash_value);
    transparent_crc(g_978, "g_978", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 8; j++)
        {
            transparent_crc(g_1265[i][j], "g_1265[i][j]", print_hash_value);
            if (print_hash_value)
                printf("index = [%d][%d]\n", i, j);
        }
    }
    transparent_crc(g_1266, "g_1266", print_hash_value);
    transparent_crc(g_1281, "g_1281", print_hash_value);
    transparent_crc(g_1382, "g_1382", print_hash_value);
    transparent_crc(g_1763, "g_1763", print_hash_value);
    transparent_crc(g_1782, "g_1782", print_hash_value);
    for (i = 0; i < 1; i++)
    {
        transparent_crc(g_1810[i], "g_1810[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 7; j++)
        {
            for (k = 0; k < 5; k++)
            {
                transparent_crc(g_1835[i][j][k],
                                "g_1835[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_1917, "g_1917", print_hash_value);
    transparent_crc(g_1995, "g_1995", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 10; k++)
            {
                transparent_crc(g_2004[i][j][k],
                                "g_2004[i][j][k]",
                                print_hash_value);
                if (print_hash_value)
                    printf("index = [%d][%d][%d]\n", i, j, k);
            }
        }
    }
    transparent_crc(g_2065, "g_2065", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(g_2066[i], "g_2066[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_2248, "g_2248", print_hash_value);
    transparent_crc(g_2373, "g_2373", print_hash_value);
    for (i = 0; i < 2; i++)
    {
        transparent_crc(g_2388[i], "g_2388[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_2580, "g_2580", print_hash_value);
    transparent_crc(g_2617, "g_2617", print_hash_value);
    transparent_crc(g_3117, "g_3117", print_hash_value);
    transparent_crc(g_3350, "g_3350", print_hash_value);
    transparent_crc(g_3691, "g_3691", print_hash_value);
    transparent_crc(g_3847, "g_3847", print_hash_value);
    transparent_crc(g_4401, "g_4401", print_hash_value);
    transparent_crc(g_4460, "g_4460", print_hash_value);
    transparent_crc(g_4512, "g_4512", print_hash_value);
    transparent_crc(g_4614, "g_4614", print_hash_value);
    transparent_crc(g_4663, "g_4663", print_hash_value);
    transparent_crc(g_4847, "g_4847", print_hash_value);
    for (i = 0; i < 6; i++)
    {
        transparent_crc(g_4848[i], "g_4848[i]", print_hash_value);
        if (print_hash_value)
            printf("index = [%d]\n", i);
    }
    transparent_crc(g_4893, "g_4893", print_hash_value);
    transparent_crc(g_4963, "g_4963", print_hash_value);
    platform_main_end(crc32_context ^ 0xffffffffuL, print_hash_value);
    return 0;
}
